Developer Documentation

Public Types | Public Member Functions | Private Attributes | Friends | List of all members
OpenMesh::Iterators::GenericCirculatorT< Mesh, CenterEntityHandle, ValueHandle, Handle2Value, CW > Class Template Reference
Inheritance diagram for OpenMesh::Iterators::GenericCirculatorT< Mesh, CenterEntityHandle, ValueHandle, Handle2Value, CW >:

## Public Types
typedef std::ptrdiff_t | difference_type
typedef ValueHandle | value_type
typedef const value_type & | reference
typedef const value_type * | pointer
typedef std::bidirectional_iterator_tag | iterator_category
typedef GenericCirculatorBaseT< Mesh >::mesh_ptr | mesh_ptr
typedef GenericCirculatorBaseT< Mesh >::mesh_ref | mesh_ref
typedef GenericCirculator_ValueHandleFnsT< Mesh, CenterEntityHandle, ValueHandle, CW > | GenericCirculator_ValueHandleFns

## Public Member Functions
| GenericCirculatorT (mesh_ref mesh, CenterEntityHandle start, bool end=false)
| GenericCirculatorT (mesh_ref mesh, HalfedgeHandle heh, bool end=false)
| GenericCirculatorT (const GenericCirculatorT &rhs)
| GenericCirculatorT (const GenericCirculatorT< Mesh, CenterEntityHandle, ValueHandle, Handle2Value,!CW > &rhs)
GenericCirculatorT & | operator++ ()
GenericCirculatorT & | operator-- ()
GenericCirculatorT | operator++ (int)
| Post-increment.
GenericCirculatorT | operator-- (int)
| Post-decrement.
value_type | operator* () const
| Standard dereferencing operator.
pointer | operator-> () const
| Pointer dereferentiation. More...
GenericCirculatorT & | operator= (const GenericCirculatorT &rhs)
bool | operator== (const GenericCirculatorT &rhs) const
bool | operator!= (const GenericCirculatorT &rhs) const
bool | is_valid () const

## Private Attributes
value_type | pointer_deref_value

## Friends
class | GenericCirculatorT< Mesh, CenterEntityHandle, ValueHandle, Handle2Value,!CW >
template<typename STREAM >
STREAM & | operator<< (STREAM &s, const GenericCirculatorT &self)

## Additional Inherited Members
Protected Types inherited from OpenMesh::Iterators::GenericCirculatorBaseT< Mesh >
typedef const Mesh * | mesh_ptr
typedef const Mesh & | mesh_ref
Protected Member Functions inherited from OpenMesh::Iterators::GenericCirculatorBaseT< Mesh >
| GenericCirculatorBaseT (mesh_ref mesh, HalfedgeHandle heh, bool end=false)
| GenericCirculatorBaseT (const GenericCirculatorBaseT &rhs)
Mesh::FaceHandle | toFaceHandle () const
Mesh::FaceHandle | toOppositeFaceHandle () const
Mesh::EdgeHandle | toEdgeHandle () const
Mesh::HalfedgeHandle | toHalfedgeHandle () const
Mesh::HalfedgeHandle | toOppositeHalfedgeHandle () const
Mesh::VertexHandle | toVertexHandle () const
GenericCirculatorBaseT & | operator= (const GenericCirculatorBaseT &rhs)
bool | operator== (const GenericCirculatorBaseT &rhs) const
bool | operator!= (const GenericCirculatorBaseT &rhs) const
Protected Attributes inherited from OpenMesh::Iterators::GenericCirculatorBaseT< Mesh >
mesh_ptr | mesh_
Mesh::HalfedgeHandle | start_
Mesh::HalfedgeHandle | heh_
int | lap_counter_

## Detailed Description

### template<class Mesh, class CenterEntityHandle, class ValueHandle, ValueHandle(GenericCirculatorBaseT< Mesh >::*)() const Handle2Value, bool CW = true>
class OpenMesh::Iterators::GenericCirculatorT< Mesh, CenterEntityHandle, ValueHandle, Handle2Value, CW >

Definition at line 253 of file CirculatorsT.hh.

## Member Function Documentation

## ◆ operator->()

template<class Mesh, class CenterEntityHandle, class ValueHandle, ValueHandle(GenericCirculatorBaseT< Mesh >::*)() const Handle2Value, bool CW = true>

pointer OpenMesh::Iterators::GenericCirculatorT< Mesh, CenterEntityHandle, ValueHandle, Handle2Value, CW >::operator-> | ( |  | ) | const
| inline

Pointer dereferentiation.

This returns a pointer which points to a handle that loses its validity once this dereferentiation is invoked again. Thus, do not store the result of this operation.

Definition at line 332 of file CirculatorsT.hh.

The documentation for this class was generated from the following file:

- OpenFlipper/libs_required/OpenMesh/src/OpenMesh/Core/Mesh/CirculatorsT.hh